{% extends "@backoffice/layoutBackoffice.html.twig" %}

{% block title %} Tax Configurations {% endblock %}

{% block body %}
    <div class="wrapper wrapper-content  animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox ">
                    <div class="ibox-title">
                        <h5>Tax Configurations</h5>
                        <div class="ibox-tools">
                            <a href="{{ path("tax_create") }}" class="btn btn-primary btn-xs">Add Tax Configuration</a>
                        </div>
                    </div>
                    <div class="ibox-content">
                        <table class="table table-hover">
                            <thead>
                            <tr>
                                <th>Id</th>
                                <th>Title</th>
                                <th>Description</th>
                                <th>Amount</th>
                                <th>Is Percentage</th>
                                <th>Applies Before</th>
                                <th>Tax Profile</th>
                                <th>Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for t in taxes %}
                                <tr>
                                    <td>{{ t.id }}</td>
                                    <td>{{ t.title }}</td>
                                    <td>{{ t.description }}</td>
                                    <td>{{ t.amount }}</td>
                                    <td>{{ t.isPercentage }}</td>
                                    <td>{{ t.appliesBefore }}</td>
                                    <td>{{ t.profile.name }}</td>
                                    <td class="actions-column">
                                        <a href="{{ path("tax_edit", {'id': t.id}) }}" class="btn btn-primary btn-sm">
                                            <i class="fa fa-edit"></i> Edit
                                        </a>
                                        <a href="{{ path("tax_delete", {'id': t.id}) }}" class="btn btn-danger btn-sm">
                                            <i class="fa fa-edit"></i> Delete
                                        </a>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                            <tfoot>
                            <tr>
                                <td>
                                   {#  {{ include('@widgets/pager.html.twig', {'currentPage': page}) }} #}
                                </td>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}